禁用yum事务检查文件冲突

如何禁用yum事务检查文件?

Transaction check error: file /usr/local/xenco/backend/current from install of xenco-rr-1.9.6-104.x86_64 conflicts with file from package xenco-server-1.9.6-104.x86_64 

Solutions Collecting From Web of "禁用yum事务检查文件冲突"

在大多数情况下,从另一个RPM软件包中替换文件是个不好的主意,我强烈建议您不要做什么。 这就是说,应用以下风险自负。

百胜没有提供安装冲突文件的选项,我想。 但是,这并不妨碍您使用rpm(1)安装RPM软件包,该软件包提供了一个选项来覆盖来自另一个软件包的现有文件,即--replacefiles

所以,首先得到你想安装在本地文件系统上的软件包的RPM( /usr/local/xenco...让我怀疑是这种情况)。 接下来使用rpm -i --replacefiles <your_rpm_file>安装RPM。